ostream File Reference

Go to the source code of this file.

## Classes

class | std::basic_ostream< _CharT, _Traits >
class | std::basic_ostream< _CharT, _Traits >::sentry

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_OSTREAM

## Typedefs

template<typename _Os , typename _Tp , typename = _Require_derived_from_ios_base<_Os>, typename = decltype(std::declval<_Os&>() << std::declval<const _Tp&>())>
using | std::__rvalue_stream_insertion_t = _Os &&
template<typename _Tp >
using | std::_Require_derived_from_ios_base = _Require< is_class< _Tp >, __not_< is_same< _Tp, ios_base > >, is_convertible< typename add_pointer< _Tp >::type, ios_base * > >

## Functions

template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::endl (basic_ostream< _CharT, _Traits > &__os)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::ends (basic_ostream< _CharT, _Traits > &__os)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::flush (basic_ostream< _CharT, _Traits > &__os)
template<typename _Ostream , typename _Tp >
__rvalue_stream_insertion_t< _Ostream, _Tp > | std::operator<< (_Ostream &&__os, const _Tp &__x)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, _CharT __c)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, char __c)
template<typename _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, char __c)
template<typename _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, signed char __c)
template<typename _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, unsigned char __c)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, const _CharT *__s)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, const char *__s)
template<typename _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const char *__s)
template<typename _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const signed char *__s)
template<typename _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const unsigned char *__s)

## Detailed Description

This is a Standard C++ Library header.

Definition in file ostream.

## Macro Definition Documentation

## _GLIBCXX_OSTREAM

#define _GLIBCXX_OSTREAM

Definition at line 34 of file ostream.